petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatISSetLocalMat

Replace the local matrix stored inside a MATIS object.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISSetLocalMat(Mat mat,Mat local)

### Input Parameter

mat -the matrix
local -the local matrix

### Output Parameter

### Notes

This can be called if you have precomputed the local matrix and want to provide it to the matrix object MATIS.

### See Also

MATIS

Level:advanced
Location:src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages